org.apache.cayenne.access.translator.batch

## Class SoftDeleteBatchTranslator

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.DefaultBatchTranslator
  - - org.apache.cayenne.access.translator.batch.DeleteBatchTranslator
    - - org.apache.cayenne.access.translator.batch.SoftDeleteBatchTranslator

- All Implemented Interfaces:
    BatchTranslator

      public class SoftDeleteBatchTranslator
      extends DeleteBatchTranslator

  Implementation of `DeleteBatchTranslator`, which uses 'soft' delete (runs UPDATE and sets 'deleted' field to true instead-of running SQL DELETE)

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.batch.DefaultBatchTranslator

      `adapter, bindings, query, sql, translated, trimFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftDeleteBatchTranslator(DeleteBatchQuery query, DbAdapter adapter, String trimFunction, String deletedFieldName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DbAttributeBinding[]` | `createBindings()`
    `protected String` | `createSql()`
    `protected DbAttributeBinding[]` | `doUpdateBindings(BatchQueryRow row)`

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.DeleteBatchTranslator

      `applyQualifier`

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.DefaultBatchTranslator

      `appendDbAttribute, ensureTranslated, getBindings, getSql, updateBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoftDeleteBatchTranslator

          public SoftDeleteBatchTranslator(DeleteBatchQuery query,
                                           DbAdapter adapter,
                                           String trimFunction,
                                           String deletedFieldName)

  - ### Method Detail

    - #### createSql

          protected String createSql()

      Overrides:
        `createSql` in class `DeleteBatchTranslator`

    - #### createBindings

          protected DbAttributeBinding[] createBindings()

      Overrides:
        `createBindings` in class `DeleteBatchTranslator`

    - #### doUpdateBindings

          protected DbAttributeBinding[] doUpdateBindings(BatchQueryRow row)

      Overrides:
        `doUpdateBindings` in class `DeleteBatchTranslator`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.